Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Class UserPersonalizationPK

    java.lang.Object
      |
      +--com.beasys.portal.ejb.PortalPersonalizationPK
            |
            +--com.beasys.portal.ejb.GroupPersonalizationPK
                  |
                  +--com.beasys.portal.ejb.UserPersonalizationPK

public class UserPersonalizationPK
extends GroupPersonalizationPK

The primary key for User Personalization.

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `userId` The user id.

Fields inherited from class com.beasys.portal.ejb.GroupPersonalizationPK
`groupId`

Fields inherited from class com.beasys.portal.ejb.PortalPersonalizationPK
`categoryName, portalName, portletName`

Constructor Summary
`UserPersonalizationPK()` Default constructor.
`UserPersonalizationPK(java.lang.String aPortalName, java.lang.String aCategoryName, java.lang.String aPortletName, java.lang.String aGroupId, java.lang.String aUserId)` User personalization primary key.

Method Summary
`boolean` | `equals(java.lang.Object theOther)` Check for object equality.
`java.lang.String` | `getUserId()` Get user id.
`void` | `setUserId(java.lang.String aUserId)` Set user id.
`java.lang.String` | `toString()` String representation of the Id.

Methods inherited from class com.beasys.portal.ejb.GroupPersonalizationPK
`getGroupId, setGroupId`

Methods inherited from class com.beasys.portal.ejb.PortalPersonalizationPK
`getCategoryName, getPortalName, getPortletName, setCategoryName, setPortalName, setPortletName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### userId

    public java.lang.String userId

  The user id.

Constructor Detail

### UserPersonalizationPK

    public UserPersonalizationPK()

  Default constructor.

### UserPersonalizationPK

    public UserPersonalizationPK(java.lang.String aPortalName,
                                 java.lang.String aCategoryName,
                                 java.lang.String aPortletName,
                                 java.lang.String aGroupId,
                                 java.lang.String aUserId)

  User personalization primary key.
  Parameters:
    `aPortalName` - the portal.
    `aCategoryName` - the category.
    `aPortletName` - the portlet.
    `aGroupId` - the group.
    `aUserId` - the user.

Method Detail

### equals

    public boolean equals(java.lang.Object theOther)

  Check for object equality.
  Overrides:
    equals in class GroupPersonalizationPK
  Parameters:
    `theOther` - the object to check against.
  Returns:
    boolean are they equal? yes/no.

### toString

    public java.lang.String toString()

  String representation of the Id.
  Overrides:
    toString in class GroupPersonalizationPK
  Returns:
    the string rep.

### setUserId

    public void setUserId(java.lang.String aUserId)

  Set user id.
  Parameters:
    `aUserId` - the user id.

### getUserId

    public java.lang.String getUserId()

  Get user id.
  Returns:
    `String` the user id.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved